commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Rodney Waldhoff <rwaldh...@apache.org>
Subject Re: [collections] JDK1.5
Date Thu, 24 Jun 2004 16:42:20 GMT
On Thu, 24 Jun 2004, Henri Yandell wrote:

> Just to ask the village idiot question, why would moving to 1.5 mean
> losing 1.4 support?

With minor modifications (like not using "enum" as a variable name), I'd 
assume [collections] works out of the box with JDK 1.5.  That's not the 
same as "moving to 1.5" in my book, but maybe it's just a matter of 
semantics.

> From what I understood (which is not much), 1.5 maintains
> binary-compatibility with 1.4 for Collections as far as generics go, but
> not compile-time (obviously).

That's interesing.

> We just need to have a process in which Collections is tested in 1.2, 1.3,
> 1.4 and 1.5, but write it under 1.5?

Right, agreed.  But that likely means not using any features that weren't 
present in 1.2.

- Rod

---------------------------------------------------------------------
To unsubscribe, e-mail: commons-dev-unsubscribe@jakarta.apache.org
For additional commands, e-mail: commons-dev-help@jakarta.apache.org


Mime
View raw message